查看 Volume 列表 (V2)
本接口将列出指定项目下的所有 Volume。
GET/v2/volumes
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com
📘说明
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
projectIdstringquery必填项
当前操作的目标项目。
示例值:proj-xxxxxxxxxxxxxxxxx
pageSizeintegerquery
每次返回的记录数。
示例值:10
currentPageintegerquery
当前页码。
示例值:1
typestringquery
Volume 的类别。有效值为 MANAGED 和 EXTERNAL。
bash
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/volumes?projectId=proj-xxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 OK - application/json
返回 Volume 列表。
codeinteger
响应码。
dataobject
countinteger
Volume 总数。
currentPageinteger
当前页码。
pageSizeinteger
每页的 Volume 数量。
volumesarray
Volume 列表。
[]volumesobject
volumeNamestring
Volume 名称。
descriptionstring
Volume 描述。
typestring
Volume 的类别。
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
Successjson
{
"code": 200,
"data": {
"count": 3,
"currentPage": 1,
"pageSize": 10,
"volumes": [
{
"volumeName": "my_volume_1",
"type": "MANAGED",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_2",
"type": "EXTERNAL",
"description": "A volume for storing collection data."
},
{
"volumeName": "my_volume_3",
"type": "MANAGED",
"description": "A volume for storing collection data."
}
]
}
}